Eclipse Platform Release 3.7

## org.eclipse.team.ui.history
Interface IHistoryPageSite

    public interface IHistoryPageSite

A site which provides access to the context in which this page is being displayed. Instances of this interface serve a similar purpose to `IWorkbenchSite` instances but is provided as a separate objects to allow clients to access the different site types (view, editor, dialog) using a common interface. This interface also provides access to the part for the site because this is required by some UI components. Clients should not need to access the part.

Clients can determine the type of workbench site by doing `instanceof` checks on the object returned by `getWorkbenchSite`. Similar `instanceof` checks can be done with the part.

This interface is not intended to be implemented by clients.

Since:
  3.2

Method Summary
`IWorkbenchPart` `getPart()` Return the workbench part for the page or `null` if a workbench part is not available (e.g. if the page is being shown in a dialog).
`ISelectionProvider` `getSelectionProvider()` Get the selection provider that gives access to the selection of the synchronize page associated with this page site.
`Shell` `getShell()` Returns the shell for this site.
`IToolBarManager` `getToolBarManager()` Returns the toolbar manager for this site or `null` it there is no toolbar.
`IPageSite` `getWorkbenchPageSite()` Return the workbench page site for the page or `null` if a workbench page site is not available (e.g. if the page is being shown in a dialog).
`boolean` `isModal()` Returns whether this site is modal.
`void` `setFocus()` Give the page focus.
`void` `setSelectionProvider(ISelectionProvider provider)` Sets the selection provider for this workbench site.

Method Detail

### getWorkbenchPageSite

    IPageSite getWorkbenchPageSite()

  Return the workbench page site for the page or `null` if a workbench page site is not available (e.g. if the page is being shown in a dialog).

  Returns:
    the workbench page site for the page or `null`

### getPart

    IWorkbenchPart getPart()

  Return the workbench part for the page or `null` if a workbench part is not available (e.g. if the page is being shown in a dialog).

  Returns:
    the workbench part for the page or `null`

### getShell

    Shell getShell()

  Returns the shell for this site.

  Returns:
    the shell for this site

### getSelectionProvider

    ISelectionProvider getSelectionProvider()

  Get the selection provider that gives access to the selection of the synchronize page associated with this page site.

  Returns:
    the selection provider for the page

### setSelectionProvider

    void setSelectionProvider(ISelectionProvider provider)

  Sets the selection provider for this workbench site.

  Parameters:
    `provider` - the selection provider, or `null` to clear it

### setFocus

    void setFocus()

  Give the page focus.

### getToolBarManager

    IToolBarManager getToolBarManager()

  Returns the toolbar manager for this site or `null` it there is no toolbar. For sites which have a corresponding workbench site, the toolbar manager will come from the action bars.

  Returns:
    toolbar manager

### isModal

    boolean isModal()

  Returns whether this site is modal.

  Returns:
    true if the site is modal, false otherwise

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.